petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDualSpaceDestroy

Destroys a PetscDualSpace object

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceDestroy(PetscDualSpace *sp)

Collective on sp

### Input Parameter

sp -the PetscDualSpace object to destroy

### See Also

PetscDualSpaceView(), PetscDualSpace(), PetscDualSpaceCreate()

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceDestroy_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceDestroy_Refined in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
PetscDualSpaceDestroy_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages